#28 ./configure error

closed-fixed
nickols_k
None
5
2010-01-28
2010-01-28
Ermicioi Andrei
No

for version 0.7.95

When I try to make a ./configure I get an error.
Here what I get:

Entering 'etc' directory
./configure: 8: Syntax error: "(" unexpected
Leaving 'etc' directory
Entering 'DOCS' directory
./configure: 8: Syntax error: "(" unexpected
Leaving 'DOCS' directory
Entering 'mplayerxp' directory
./configure: 37: Syntax error: "(" unexpected
Leaving 'mplayerxp' directory

My OS is Kubuntu 9.10

Discussion

  • nickols_k
    nickols_k
    2010-01-28

    Fixed in SVN changeset [128]

    Log Message:
    -----------
    fixed some configuring problems

    Modified Paths:
    --------------
    DOCS/configure
    configure
    etc/configure
    functions
    mplayerxp/configure

    Modified: DOCS/configure

    --- DOCS/configure 2010-01-25 17:01:27 UTC (rev 126)
    +++ DOCS/configure 2010-01-27 14:21:04 UTC (rev 127)
    @@ -1,4 +1,6 @@
    -#!/bin/sh
    +#!/bin/bash
    +# query full-featured shell here
    +#
    # The simplest configure for win loader

    . ../functions

    Modified: configure

    --- configure 2010-01-25 17:01:27 UTC (rev 126)
    +++ configure 2010-01-27 14:21:04 UTC (rev 127)
    @@ -1,4 +1,6 @@
    -#!/bin/sh
    +#!/bin/bash
    +# query full-featured shell here
    +#
    # The simplest configure for mplayerxp
    for parm in "$@" ; do
    if test "$parm" = "--help" || test "$parm" = "-help" || test "$parm" = "-h" ; then

    Modified: etc/configure

    --- etc/configure 2010-01-25 17:01:27 UTC (rev 126)
    +++ etc/configure 2010-01-27 14:21:04 UTC (rev 127)
    @@ -1,4 +1,6 @@
    -#!/bin/sh
    +#!/bin/bash
    +# query full-featured shell here
    +#
    # The simplest configure for win loader

    . ../functions

    Modified: functions

    --- functions 2010-01-25 17:01:27 UTC (rev 126)
    +++ functions 2010-01-27 14:21:04 UTC (rev 127)
    @@ -1,4 +1,5 @@
    -#!/bin/sh
    +#!/bin/bash
    +# query full-featured shell here
    #
    # functions This file contains functions to be used by all
    # shell scripts of the mplayerxp

    Modified: mplayerxp/configure

    --- mplayerxp/configure 2010-01-25 17:01:27 UTC (rev 126)
    +++ mplayerxp/configure 2010-01-27 14:21:04 UTC (rev 127)
    @@ -1,4 +1,5 @@
    -#! /bin/sh
    +#!/bin/bash
    +# query full-featured shell here
    #
    # Original version (C) 2000 Pontscho/fresh!mindworkz
    # pontscho@makacs.poliod.hu
    @@ -254,7 +255,7 @@
    cc_version="$cc_version, bad"
    cc_verc_fail=yes
    ;;
    - 3.[2-9]|3.[2-9].[0-9]|4.[0-9].[0-9])
    + 3.[2-9]|3.[2-9].[0-9]|4.[0-9]|4.[0-9].[0-9])
    cc_version="$cc_version, ok"
    cc_verc_fail=no
    ;;

     
  • nickols_k
    nickols_k
    2010-01-28

    • assigned_to: nobody --> nickols_k
    • status: open --> closed-fixed